Bug 91986 - kernel BUG at page_alloc.c:122!
kernel BUG at page_alloc.c:122!
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-30 13:04 EDT by Charles L. Epstein
Modified: 2007-04-18 12:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
From /var/log/messages/ (2.55 KB, text/plain)
2003-11-13 09:22 EST, Dave
no flags Details

  None (edit)
Description Charles L. Epstein 2003-05-30 13:04:13 EDT
Description of problem:
kernel BUG at page_alloc.c:122!
May 30 10:06:41 polya kernel: invalid operand: 0000
swap_dup: Bad swap file entry c7082474
Version-Release number of selected component (if applicable):

Linux version 2.4.20-13.9 
How reproducible:

I have experienced fairly regular freezes, though I have not checked the log,
up to this point
Steps to Reproduce:
1.
2.
3.
    
Actual results:


Expected results:


Additional info: I've atached a detailed description from the log file.
I do not have an nvidia card, I have an ati radeon card and use
Comment 1 Charles L. Epstein 2003-05-30 13:05:31 EDT
May 30 10:03:42 polya kernel: Unable to handle kernel paging request at virtual
address fe2b2bc5
May 30 10:03:42 polya kernel:  printing eip:
May 30 10:03:42 polya kernel: c0146395
May 30 10:03:42 polya kernel: *pde = 00002067
May 30 10:03:42 polya kernel: *pte = 00000000
May 30 10:03:42 polya kernel: Oops: 0000
May 30 10:03:42 polya kernel: via82cxxx_audio uart401 ac97_codec sound soundcore
radeon agpgart parport_pc lp parport autofs 8139too mii tulip ipt_REJECT
iptable_filter ip_tables sg sr_mod
May 30 10:03:42 polya kernel: CPU:    0
May 30 10:03:42 polya kernel: EIP:    0060:[<c0146395>]    Not tainted
May 30 10:03:42 polya kernel: EFLAGS: 00010206
May 30 10:03:42 polya kernel:
May 30 10:03:42 polya kernel: EIP is at invalidate_bdev [kernel] 0x45 (2.4.20-13.9)
May 30 10:03:42 polya kernel: eax: 00000b00   ebx: fe2b2ba5   ecx: 00000001  
edx: 00000b00
May 30 10:03:42 polya kernel: esi: 00000c3a   edi: fe2b2ba5   ebp: 00000000  
esp: d7b61f28
May 30 10:03:42 polya kernel: ds: 0068   es: 0068   ss: 0068
May 30 10:03:42 polya kernel: Process magicdev (pid: 3617, stackpage=d7b61000)
May 30 10:03:42 polya kernel: Stack: 00000b00 0b000000 00000000 00000001
c252c240 c252c240 c252c25c c5f38b00
May 30 10:03:42 polya kernel:        00000000 c014ab5b c252c240 00000001
c252c240 c252c240 c014b9aa c252c240
May 30 10:03:42 polya kernel:        00000000 d50f4a40 c25a2380 ded57d00
ded53940 c01457c2 c252c240 00000000
May 30 10:03:42 polya kernel: Call Trace:   [<c014ab5b>] kill_bdev [kernel] 0x1b
(0xd7b61f4c))
May 30 10:03:42 polya kernel: [<c014b9aa>] blkdev_put [kernel] 0xaa (0xd7b61f60))
May 30 10:03:42 polya kernel: [<c01457c2>] fput [kernel] 0x102 (0xd7b61f7c))
May 30 10:03:42 polya kernel: [<c0143e2d>] filp_close [kernel] 0x4d (0xd7b61f98))
May 30 10:03:42 polya kernel: [<c0143eae>] sys_close [kernel] 0x4e (0xd7b61fb0))
May 30 10:03:42 polya kernel: [<c010939f>] system_call [kernel] 0x33 (0xd7b61fc0))
May 30 10:03:42 polya kernel:
May 30 10:03:42 polya kernel:
May 30 10:03:42 polya kernel: Code: 8b 7b 20 66 39 53 0c 74 2c 4e 89 fb 85 f6 7f
eb 45 83 fd 02
May 30 10:06:41 polya kernel:  <3>swap_dup: Bad swap file entry c7082474
May 30 10:06:41 polya kernel: VM: killing process X
May 30 10:06:41 polya kernel: swap_free: Bad swap offset entry ff067400
May 30 10:06:41 polya kernel: Page has mapping still set. This is a serious
situation. However if you
May 30 10:06:41 polya kernel: are using the NVidia binary only module please
report this bug to
May 30 10:06:41 polya kernel: NVidia and not to the linux kernel mailinglist.
May 30 10:06:41 polya kernel: ------------[ cut here ]------------
May 30 10:06:41 polya kernel: kernel BUG at page_alloc.c:122!
May 30 10:06:41 polya kernel: invalid operand: 0000
May 30 10:06:41 polya kernel: via82cxxx_audio uart401 ac97_codec sound soundcore
radeon agpgart parport_pc lp parport autofs 8139too mii tulip ipt_REJECT
iptable_filter ip_tables sg sr_mod
May 30 10:06:41 polya kernel: CPU:    0
May 30 10:06:41 polya kernel: EIP:    0060:[<c013c2d3>]    Not tainted
May 30 10:06:41 polya kernel: EFLAGS: 00013286
May 30 10:06:41 polya gconfd (cle-3592): Received signal 15, shutting down cleanly
May 30 10:06:41 polya kernel:
May 30 10:06:41 polya gdm(pam_unix)[3517]: session closed for user cle
May 30 10:06:41 polya gconfd (cle-3592): Exiting
May 30 10:06:41 polya kernel: EIP is at __free_pages_ok [kernel] 0x313 (2.4.20-13.9)
May 30 10:06:41 polya kernel: eax: 00000033   ebx: c1000618   ecx: dc9d6000  
edx: dc9d7f7c
May 30 10:06:41 polya kernel: esi: d5ce05cc   edi: 00000000   ebp: 0001b483  
esp: db405e0c
May 30 10:06:41 polya kernel: ds: 0068   es: 0068   ss: 0068
May 30 10:06:41 polya kernel: Process X (pid: 3518, stackpage=db405000)
May 30 10:06:41 polya kernel: Stack: c025b040 00000002 c0398180 00ff0674
00000000 c013d6dc c025a913 d5ce05cc
May 30 10:06:41 polya kernel:        d5ce05cc 00100000 c1000618 d5ce05cc
00100000 0001b483 c012d19c c1000618
May 30 10:06:41 polya kernel:        00085000 c012f523 db428cc0 08885000
d5ce05cc 00000006 00000084 08c00000
May 30 10:06:41 polya kernel: Call Trace:   [<c013d6dc>] swap_info_get [kernel]
0x8c (0xdb405e20))
May 30 10:06:41 polya kernel: [<c012d19c>] __free_pte [kernel] 0x4c (0xdb405e44))
May 30 10:06:41 polya kernel: [<c012f523>] zap_pte_range [kernel] 0x123
(0xdb405e50))
May 30 10:06:41 polya kernel: [<c012d7e2>] zap_page_range [kernel] 0xc2
(0xdb405e78))
May 30 10:06:41 polya kernel: [<c0130a3f>] exit_mmap [kernel] 0xaf (0xdb405eb8))
May 30 10:06:41 polya gdm[3517]: gdm_slave_xioerror_handler: Fatal X error -
Restarting :0
May 30 10:06:41 polya kernel: [<c0119d57>] mmput [kernel] 0x47 (0xdb405edc))
May 30 10:06:41 polya kernel: [<c011f0df>] do_exit [kernel] 0xef (0xdb405eec))
May 30 10:06:41 polya kernel: [<c0117241>] .text.lock.fault [kernel] 0x0
(0xdb405f08))
Comment 2 Trevin Beattie 2003-07-27 13:59:00 EDT
I've just encountered this same bug.  Linux 2.4.20-18.9smp #1 SMP Thu May 29
06:41:01 EDT 2003 i686 athlon i386 GNU/Linux.  I was debugging a Motif program
with a data watchpoint (which apparently was a software watch, because it ran
very slowly).  Log file entry:


Page has mapping still set. This is a serious situation. However if you 
are using the NVidia binary only module please report this bug to 
NVidia and not to the linux kernel mailinglist.
------------[ cut here ]------------
kernel BUG at page_alloc.c:122!
invalid operand: 0000
vmnet vmmon emu10k1 sound ac97_codec soundcore fglrx agpgart parport_pc lp
parport autofs ppp_synctty ppp_async ppp_generic slhc 3c59x ipt_REJECT ipt_MASQUERA
CPU:    1
EIP:    0060:[<c0147a06>]    Tainted: PF
EFLAGS: 00010286

EIP is at __free_pages_ok [kernel] 0x346 (2.4.20-18.9smp)
eax: 00000033   ebx: c1011fd8   ecx: f786e000   edx: f786ff7c
esi: c1011ff4   edi: c0336880   ebp: 00000000   esp: f7fa5f58
ds: 0068   es: 0068   ss: 0068
Process kswapd (pid: 7, stackpage=f7fa5000)
Stack: c027d400 00000001 00000282 00000003 e671dd20 e671dd20 e671dd20 c1011fd8 
       c0155e0a e671dd20 c1011fd8 c1011ff4 c0336880 000001d0 c0144e1a c1011fd8 
       000001d0 f88676a0 00000001 00000007 c0336880 c0337238 00000038 c0145f7f 
Call Trace:   [<c0155e0a>] try_to_free_buffers [kernel] 0xba (0xf7fa5f78))
[<c0144e1a>] launder_page [kernel] 0x58a (0xf7fa5f90))
[<f88676a0>] ext3_writepage [ext3] 0x0 (0xf7fa5f9c))
[<c0145f7f>] rebalance_dirty_zone [kernel] 0x8f (0xf7fa5fb4))
[<c01465a0>] kswapd [kernel] 0x140 (0xf7fa5fd4))
[<c0146460>] kswapd [kernel] 0x0 (0xf7fa5fe4))
[<c01073bd>] kernel_thread_helper [kernel] 0x5 (0xf7fa5ff0))


Code: 0f 0b 7a 00 ed cb 27 c0 e9 04 fd ff ff 0f 0b 69 00 ed cb 27 


By the way, I also have an ATI Radeon 9700 Pro card, although I doubt whether
that is related.  My video driver is fglrx, not radeon.  The hardware is a
dual-Athlon board with 1GB RAM.
Comment 3 Dave 2003-11-13 09:22:20 EST
Created attachment 95944 [details]
From /var/log/messages/
Comment 4 Dave 2003-11-13 09:26:54 EST
Comment on attachment 95944 [details]
From /var/log/messages/

Interesting my problem occurred on a 200 mhz pentium with 32 mb of ram.   It
occurred when attempting to copy a 850 mb file from one directory to another. 
I have 125 mb of swap space so that should be enough.  Is this a ram issue.  Do
I need more RAM in my redhat, if so what should be the min requirements in
order to ensure a stable system?
Comment 5 Bugzilla owner 2004-09-30 11:41:01 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.